xine-lib: audio_decoder_class_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
audio_decoder_class_s Struct Reference

`#include <audio_decoder.h>`

## Data Fields
audio_decoder_t *(* | open_plugin )(audio_decoder_class_t *this_gen, xine_stream_t *stream)
const char * | identifier
| short human readable identifier for this plugin class
const char * | description
| human readable (verbose = 1 line) description for this plugin class
const char * | text_domain
| Optional non-standard catalog to use with dgettext() for description.
void(* | dispose )(audio_decoder_class_t *this_gen)

## Field Documentation

## ◆ description

const char* audio_decoder_class_s::description

human readable (verbose = 1 line) description for this plugin class

The description is passed to gettext() to internationalise.

Referenced by faad_init_plugin(), init_audio_plugin(), and init_plugin().

## ◆ dispose

void(* audio_decoder_class_s::dispose) (audio_decoder_class_t *this_gen)

Referenced by faad_init_plugin(), init_audio_plugin(), init_plugin(), open_audio_decoder_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), and open_plugin().

## ◆ identifier

const char* audio_decoder_class_s::identifier

short human readable identifier for this plugin class

Referenced by faad_init_plugin(), init_audio_plugin(), and init_plugin().

## ◆ open_plugin

audio_decoder_t *(* audio_decoder_class_s::open_plugin) (audio_decoder_class_t *this_gen, xine_stream_t *stream)

Referenced by decoder_nsf_init_plugin(), decoder_wavpack_init_plugin(), faad_init_plugin(), init_audio_plugin(), init_dvaudio_plugin(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), init_realadec(), qta_init_class(), speex_init_plugin(), and w32a_init_class().

## ◆ text_domain

const char* audio_decoder_class_s::text_domain

Optional non-standard catalog to use with dgettext() for description.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/audio_decoder.h